{% extends 'base.html.twig' %}

{% block body %}
    Titre: <a href="{{ path('film_edit', {'id': infoNote.id}) }}">{{ infoNote.titre }} </a>

    Moyenne: {{ infoNote.moyenne }}

    Nombre de votants: {{ infoNote.nbvotant }}

    <h3>Notations</h3>
    <table class="table table-striped table-bordered table-condensed">
        <thead>
        <th>Mail</th>
        <th>Note</th>
        </thead>
        <tbody>
        {% for note in notes %}
            <tr>
                <td>{{ note.email.email }}</td>
                <td>{{ note.note }}</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}

{# AUTRE VERSION DU TWIG POUR LA ROUTE ALTERNATIVE #}
{#{% extends 'base.html.twig' %}#}

{#{% block title %}Hello NotationController!{% endblock %}#}

{#{% block body %}#}

{#    {% set moyenne = 0 %}#}
{#    {% set nbvotant = 0 %}#}
{#    {% for note in notes %}#}
{#        {% set moyenne = (moyenne + note.note) / 2 %}#}
{#        {% set nbvotant = nbvotant + 1 %}#}
{#    {% endfor %}#}
{#    <p><a href="{{ path('film_edit', {'id': film.id}) }}">{{ film.titre }} </a></p>#}
{#    <p>moyenne : {{ moyenne }}</p>#}
{#    <p>nbvotant : {{ nbvotant }}</p>#}
{#    <table  class="table table-striped table-bordered table-condensed">#}
{#        <thead>#}
{#        <th>Votant</th>#}
{#        <th>Note</th>#}
{#        </thead>#}
{#        <tbody>#}
{#        {% for note in notes %}#}
{#            <tr>#}
{#                <td>{{ note.email.email }}</td>#}
{#                <td>{{ note.note }}</td>#}
{#            </tr>#}
{#        {% endfor %}#}
{#        </tbody>#}
{#    </table>#}
{#{% endblock %}#}